LC_CTX_IFX(3)

NAME
lc_ctx_ifx - set default interface for sockets and channels created with this context

LIBRARY
Librecast library (liblibrecast, -llibrecast)

SYNOPSIS
#include <librecast/net.h>

void lc_ctx_ifx(lc_ctx_t *ctx, unsigned int ifx);

Compile and link with -llibrecast.

DESCRIPTION
The lc_ctx_ifx function sets the default interface to ifx for subsequent sockets and channels created with context ctx. A value of 0 for ifx means all interfaces.

RETURN VALUE
The lc_ctx_ifx() function returns no value.

ERRORS
None.

SEE ALSO
lc_ctx_new(3), lc_ctx_free(3), lc_socket_new(3), lc_channel_new(3)